<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_config = array();
	$tdatasenuc_config[".NumberOfChars"] = 80; 
	$tdatasenuc_config[".ShortName"] = "senuc_config";
	$tdatasenuc_config[".OwnerID"] = "";
	$tdatasenuc_config[".OriginalTable"] = "senuc_config";

//	field labels
$fieldLabelssenuc_config = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_config["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_config["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_config["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_config["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_config["Portuguese(Brazil)"]["limite_alunos_por_coordenador"] = "Limite Alunos Por Coordenador";
	$fieldToolTipssenuc_config["Portuguese(Brazil)"]["limite_alunos_por_coordenador"] = "";
	$fieldLabelssenuc_config["Portuguese(Brazil)"]["min_presenca_aluno"] = "Min Presenca Aluno";
	$fieldToolTipssenuc_config["Portuguese(Brazil)"]["min_presenca_aluno"] = "";
	$fieldLabelssenuc_config["Portuguese(Brazil)"]["min_presenca_coordenador"] = "Min Presenca Coordenador";
	$fieldToolTipssenuc_config["Portuguese(Brazil)"]["min_presenca_coordenador"] = "";
	$fieldLabelssenuc_config["Portuguese(Brazil)"]["min_presenca_professor"] = "Min Presenca Professor";
	$fieldToolTipssenuc_config["Portuguese(Brazil)"]["min_presenca_professor"] = "";
	$fieldLabelssenuc_config["Portuguese(Brazil)"]["meta_dias_aberto_virtual"] = "Meta Dias Aberto Virtual";
	$fieldToolTipssenuc_config["Portuguese(Brazil)"]["meta_dias_aberto_virtual"] = "";
	$fieldLabelssenuc_config["Portuguese(Brazil)"]["meta_alunos_virtual"] = "Meta Alunos Virtual";
	$fieldToolTipssenuc_config["Portuguese(Brazil)"]["meta_alunos_virtual"] = "";
	$fieldLabelssenuc_config["Portuguese(Brazil)"]["meta_alunos_presencial"] = "Meta Alunos Presencial";
	$fieldToolTipssenuc_config["Portuguese(Brazil)"]["meta_alunos_presencial"] = "";
	$fieldLabelssenuc_config["Portuguese(Brazil)"]["min_atividades_presencial"] = "Min Atividades Presencial";
	$fieldToolTipssenuc_config["Portuguese(Brazil)"]["min_atividades_presencial"] = "";
	$fieldLabelssenuc_config["Portuguese(Brazil)"]["min_atividades_virtual"] = "Min Atividades Virtual";
	$fieldToolTipssenuc_config["Portuguese(Brazil)"]["min_atividades_virtual"] = "";
	if (count($fieldToolTipssenuc_config["Portuguese(Brazil)"]))
		$tdatasenuc_config[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_config[".NCSearch"] = true;



$tdatasenuc_config[".shortTableName"] = "senuc_config";
$tdatasenuc_config[".nSecOptions"] = 0;
$tdatasenuc_config[".recsPerRowList"] = 1;
$tdatasenuc_config[".mainTableOwnerID"] = "";
$tdatasenuc_config[".moveNext"] = 1;
$tdatasenuc_config[".nType"] = 0;

$tdatasenuc_config[".strOriginalTableName"] = "senuc_config";




$tdatasenuc_config[".showAddInPopup"] = true;

$tdatasenuc_config[".showEditInPopup"] = true;

$tdatasenuc_config[".showViewInPopup"] = true;

$tdatasenuc_config[".fieldsForRegister"] = array();

$tdatasenuc_config[".listAjax"] = false;

	$tdatasenuc_config[".audit"] = false;

	$tdatasenuc_config[".locking"] = false;

$tdatasenuc_config[".listIcons"] = true;
$tdatasenuc_config[".edit"] = true;




$tdatasenuc_config[".showSimpleSearchOptions"] = false;

$tdatasenuc_config[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_config[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_config[".isUseAjaxSuggest"] = true;

$tdatasenuc_config[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_config[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_config[".isUseTimeForSearch"] = false;




$tdatasenuc_config[".allSearchFields"] = array();

$tdatasenuc_config[".allSearchFields"][] = "limite_alunos_por_coordenador";
$tdatasenuc_config[".allSearchFields"][] = "min_presenca_aluno";
$tdatasenuc_config[".allSearchFields"][] = "min_presenca_coordenador";
$tdatasenuc_config[".allSearchFields"][] = "min_presenca_professor";
$tdatasenuc_config[".allSearchFields"][] = "meta_dias_aberto_virtual";
$tdatasenuc_config[".allSearchFields"][] = "meta_alunos_virtual";
$tdatasenuc_config[".allSearchFields"][] = "meta_alunos_presencial";
$tdatasenuc_config[".allSearchFields"][] = "min_atividades_presencial";
$tdatasenuc_config[".allSearchFields"][] = "min_atividades_virtual";

$tdatasenuc_config[".googleLikeFields"][] = "id";
$tdatasenuc_config[".googleLikeFields"][] = "limite_alunos_por_coordenador";
$tdatasenuc_config[".googleLikeFields"][] = "min_presenca_aluno";
$tdatasenuc_config[".googleLikeFields"][] = "min_presenca_coordenador";
$tdatasenuc_config[".googleLikeFields"][] = "min_presenca_professor";
$tdatasenuc_config[".googleLikeFields"][] = "meta_dias_aberto_virtual";
$tdatasenuc_config[".googleLikeFields"][] = "meta_alunos_virtual";
$tdatasenuc_config[".googleLikeFields"][] = "meta_alunos_presencial";
$tdatasenuc_config[".googleLikeFields"][] = "min_atividades_presencial";
$tdatasenuc_config[".googleLikeFields"][] = "min_atividades_virtual";


$tdatasenuc_config[".advSearchFields"][] = "limite_alunos_por_coordenador";
$tdatasenuc_config[".advSearchFields"][] = "min_presenca_aluno";
$tdatasenuc_config[".advSearchFields"][] = "min_presenca_coordenador";
$tdatasenuc_config[".advSearchFields"][] = "min_presenca_professor";
$tdatasenuc_config[".advSearchFields"][] = "meta_dias_aberto_virtual";
$tdatasenuc_config[".advSearchFields"][] = "meta_alunos_virtual";
$tdatasenuc_config[".advSearchFields"][] = "meta_alunos_presencial";
$tdatasenuc_config[".advSearchFields"][] = "min_atividades_presencial";
$tdatasenuc_config[".advSearchFields"][] = "min_atividades_virtual";

$tdatasenuc_config[".isTableType"] = "list";

	
$tdatasenuc_config[".isVerLayout"] = true;



// Access doesn't support subqueries from the same table as main



$tdatasenuc_config[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_config[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_config[".orderindexes"] = array();

$tdatasenuc_config[".sqlHead"] = "SELECT id,   limite_alunos_por_coordenador,   min_presenca_aluno,   min_presenca_coordenador,   min_presenca_professor,   meta_dias_aberto_virtual,   meta_alunos_virtual,   meta_alunos_presencial,   min_atividades_presencial,   min_atividades_virtual";
$tdatasenuc_config[".sqlFrom"] = "FROM senuc_config";
$tdatasenuc_config[".sqlWhereExpr"] = "";
$tdatasenuc_config[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_config[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_config[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_config = array();
$tableKeyssenuc_config[] = "id";
$tdatasenuc_config[".Keys"] = $tableKeyssenuc_config;

$tdatasenuc_config[".listFields"] = array();
$tdatasenuc_config[".listFields"][] = "limite_alunos_por_coordenador";
$tdatasenuc_config[".listFields"][] = "min_presenca_aluno";
$tdatasenuc_config[".listFields"][] = "min_presenca_coordenador";
$tdatasenuc_config[".listFields"][] = "min_presenca_professor";
$tdatasenuc_config[".listFields"][] = "meta_dias_aberto_virtual";
$tdatasenuc_config[".listFields"][] = "meta_alunos_virtual";
$tdatasenuc_config[".listFields"][] = "meta_alunos_presencial";
$tdatasenuc_config[".listFields"][] = "min_atividades_presencial";
$tdatasenuc_config[".listFields"][] = "min_atividades_virtual";

$tdatasenuc_config[".viewFields"] = array();

$tdatasenuc_config[".addFields"] = array();

$tdatasenuc_config[".inlineAddFields"] = array();

$tdatasenuc_config[".editFields"] = array();
$tdatasenuc_config[".editFields"][] = "limite_alunos_por_coordenador";
$tdatasenuc_config[".editFields"][] = "min_presenca_aluno";
$tdatasenuc_config[".editFields"][] = "min_presenca_coordenador";
$tdatasenuc_config[".editFields"][] = "min_presenca_professor";
$tdatasenuc_config[".editFields"][] = "meta_dias_aberto_virtual";
$tdatasenuc_config[".editFields"][] = "meta_alunos_virtual";
$tdatasenuc_config[".editFields"][] = "meta_alunos_presencial";
$tdatasenuc_config[".editFields"][] = "min_atividades_presencial";
$tdatasenuc_config[".editFields"][] = "min_atividades_virtual";

$tdatasenuc_config[".inlineEditFields"] = array();

$tdatasenuc_config[".exportFields"] = array();

$tdatasenuc_config[".printFields"] = array();

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_config";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_config["id"] = $fdata;
//	limite_alunos_por_coordenador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "limite_alunos_por_coordenador";
	$fdata["GoodName"] = "limite_alunos_por_coordenador";
	$fdata["ownerTable"] = "senuc_config";
	$fdata["Label"] = "Limite Alunos Por Coordenador"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "limite_alunos_por_coordenador"; 
		$fdata["FullName"] = "limite_alunos_por_coordenador";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_config["limite_alunos_por_coordenador"] = $fdata;
//	min_presenca_aluno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "min_presenca_aluno";
	$fdata["GoodName"] = "min_presenca_aluno";
	$fdata["ownerTable"] = "senuc_config";
	$fdata["Label"] = "Min Presenca Aluno"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "min_presenca_aluno"; 
		$fdata["FullName"] = "min_presenca_aluno";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_config["min_presenca_aluno"] = $fdata;
//	min_presenca_coordenador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "min_presenca_coordenador";
	$fdata["GoodName"] = "min_presenca_coordenador";
	$fdata["ownerTable"] = "senuc_config";
	$fdata["Label"] = "Min Presenca Coordenador"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "min_presenca_coordenador"; 
		$fdata["FullName"] = "min_presenca_coordenador";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_config["min_presenca_coordenador"] = $fdata;
//	min_presenca_professor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "min_presenca_professor";
	$fdata["GoodName"] = "min_presenca_professor";
	$fdata["ownerTable"] = "senuc_config";
	$fdata["Label"] = "Min Presenca Professor"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "min_presenca_professor"; 
		$fdata["FullName"] = "min_presenca_professor";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_config["min_presenca_professor"] = $fdata;
//	meta_dias_aberto_virtual
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "meta_dias_aberto_virtual";
	$fdata["GoodName"] = "meta_dias_aberto_virtual";
	$fdata["ownerTable"] = "senuc_config";
	$fdata["Label"] = "Meta Dias Aberto Virtual"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "meta_dias_aberto_virtual"; 
		$fdata["FullName"] = "meta_dias_aberto_virtual";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_config["meta_dias_aberto_virtual"] = $fdata;
//	meta_alunos_virtual
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "meta_alunos_virtual";
	$fdata["GoodName"] = "meta_alunos_virtual";
	$fdata["ownerTable"] = "senuc_config";
	$fdata["Label"] = "Meta Alunos Virtual"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "meta_alunos_virtual"; 
		$fdata["FullName"] = "meta_alunos_virtual";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_config["meta_alunos_virtual"] = $fdata;
//	meta_alunos_presencial
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "meta_alunos_presencial";
	$fdata["GoodName"] = "meta_alunos_presencial";
	$fdata["ownerTable"] = "senuc_config";
	$fdata["Label"] = "Meta Alunos Presencial"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "meta_alunos_presencial"; 
		$fdata["FullName"] = "meta_alunos_presencial";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_config["meta_alunos_presencial"] = $fdata;
//	min_atividades_presencial
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "min_atividades_presencial";
	$fdata["GoodName"] = "min_atividades_presencial";
	$fdata["ownerTable"] = "senuc_config";
	$fdata["Label"] = "Min Atividades Presencial"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "min_atividades_presencial"; 
		$fdata["FullName"] = "min_atividades_presencial";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_config["min_atividades_presencial"] = $fdata;
//	min_atividades_virtual
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "min_atividades_virtual";
	$fdata["GoodName"] = "min_atividades_virtual";
	$fdata["ownerTable"] = "senuc_config";
	$fdata["Label"] = "Min Atividades Virtual"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "min_atividades_virtual"; 
		$fdata["FullName"] = "min_atividades_virtual";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_config["min_atividades_virtual"] = $fdata;

	
$tables_data["senuc_config"]=&$tdatasenuc_config;
$field_labels["senuc_config"] = &$fieldLabelssenuc_config;
$fieldToolTips["senuc_config"] = &$fieldToolTipssenuc_config;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_config"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_config"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_config()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,   limite_alunos_por_coordenador,   min_presenca_aluno,   min_presenca_coordenador,   min_presenca_professor,   meta_dias_aberto_virtual,   meta_alunos_virtual,   meta_alunos_presencial,   min_atividades_presencial,   min_atividades_virtual";
$proto0["m_strFrom"] = "FROM senuc_config";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_config"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "limite_alunos_por_coordenador",
	"m_strTable" => "senuc_config"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "min_presenca_aluno",
	"m_strTable" => "senuc_config"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "min_presenca_coordenador",
	"m_strTable" => "senuc_config"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "min_presenca_professor",
	"m_strTable" => "senuc_config"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "meta_dias_aberto_virtual",
	"m_strTable" => "senuc_config"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "meta_alunos_virtual",
	"m_strTable" => "senuc_config"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "meta_alunos_presencial",
	"m_strTable" => "senuc_config"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "min_atividades_presencial",
	"m_strTable" => "senuc_config"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "min_atividades_virtual",
	"m_strTable" => "senuc_config"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto25=array();
$proto25["m_link"] = "SQLL_MAIN";
			$proto26=array();
$proto26["m_strName"] = "senuc_config";
$proto26["m_columns"] = array();
$proto26["m_columns"][] = "id";
$proto26["m_columns"][] = "limite_alunos_por_coordenador";
$proto26["m_columns"][] = "min_presenca_aluno";
$proto26["m_columns"][] = "min_presenca_coordenador";
$proto26["m_columns"][] = "min_presenca_professor";
$proto26["m_columns"][] = "meta_dias_aberto_virtual";
$proto26["m_columns"][] = "meta_alunos_virtual";
$proto26["m_columns"][] = "meta_alunos_presencial";
$proto26["m_columns"][] = "min_atividades_presencial";
$proto26["m_columns"][] = "min_atividades_virtual";
$obj = new SQLTable($proto26);

$proto25["m_table"] = $obj;
$proto25["m_alias"] = "";
$proto27=array();
$proto27["m_sql"] = "";
$proto27["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto27["m_column"]=$obj;
$proto27["m_contained"] = array();
$proto27["m_strCase"] = "";
$proto27["m_havingmode"] = "0";
$proto27["m_inBrackets"] = "0";
$proto27["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto27);

$proto25["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto25);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_config = createSqlQuery_senuc_config();
										$tdatasenuc_config[".sqlquery"] = $queryData_senuc_config;
	
if(isset($tdatasenuc_config["field2"])){
	$tdatasenuc_config["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_config["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_config["field2"]["LookupType"] = 4;
	$tdatasenuc_config["field2"]["LinkField"] = "email";
	$tdatasenuc_config["field2"]["DisplayField"] = "name";
	$tdatasenuc_config[".hasCustomViewField"] = true;
}

$tableEvents["senuc_config"] = new eventsBase;
$tdatasenuc_config[".hasEvents"] = false;

$cipherer = new RunnerCipherer("senuc_config");

?>